Bug 131505 - getaddrinfo segfault
getaddrinfo segfault
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
Blocks: FC3Target
  Show dependency treegraph
Reported: 2004-09-01 15:51 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.3-49
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-17 15:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-09-01 15:51:15 EDT
Description of problem:

shinybook /home/dwmw2 $ telnet irc.ipv6.freenode.net
Segmentation fault

Version-Release number of selected component (if applicable):

Program received signal SIGSEGV, Segmentation fault.
0x07edf298 in gaih_inet () from /lib/tls/libc.so.6
(gdb) bt
#0  0x07edf298 in gaih_inet () from /lib/tls/libc.so.6
#1  0x07edfce0 in getaddrinfo () from /lib/tls/libc.so.6
#2  0x08009558 in tn (argc=0, argv=0xffffe568) at commands.c:2363
Comment 1 Ulrich Drepper 2004-09-06 04:15:47 EDT
Should now be fixed in CVS.

2004-09-06  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/posix/getaddrinfo.c (gaih_inet): Fix problem with
	AF_UNSPEC lookup with AI_CANONNAME of name which has only IPv6

revision 1.74 of sysdeps/posix/getaddrinfo.c

Note You need to log in before you can comment on or make changes to this bug.